__all__ = ('normal_prefix', '_prefix_preset', 'presets', 'allowed_presets', 'allowed_effects')

normal_prefix = 'loudnorm=i=-12'
# _prefix = f'{normal},'
_prefix_preset = f''
presets: dict[str, str] = {
    'cursed': 'aeval=val(0)*2*sin(440*t)+val(1)*2*cos(622*t)|val(1)*2*sin(622*t)+val(0)*2*cos(440*t)',
    'bassboost': f'{_prefix_preset}bass=g=10',
    'bassbooboost': f'{_prefix_preset}bass=g=30',
    'nightcore': f'{_prefix_preset}asetrate=67882',
    'daycore': f'{_prefix_preset}atempo=.9,aecho=1.0:0.5:20:0.5',
    'пришествие анимешне': 'bass=g=15,asetrate=67882,bass=g=15',
    'difference': 'aeval=val(0)-val(1)|val(1)-val(0)',
    'mono': f'{_prefix_preset}aeval=.5*val(0)+.5*val(1)|.5*val(1)+.5*val(0)',
    'normal': f'{normal_prefix}',
}
presets['ayylmao'] = presets['cursed']
allowed_presets = ['bassboost', 'bassbooboost', 'nightcore', 'daycore', 'mono', 'normal', ]
allowed_effects = {'', *(presets[key] for key in allowed_presets)}
